
%define		module	PyPAM

Summary:	PAM bindings for Python
Summary(pl.UTF-8):	Wiązania pythona do obsługi PAM
Name:		python-%{module}
Version:	0.5.0
Release:	5
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://www.pangalactic.org/PyPAM/%{module}-%{version}.tar.gz
# Source0-md5:	f1e7c2c56421dda28a75ace59a3c8871
Patch0:		%{name}-destructor.patch
Patch1:		%{name}-dlopen.patch
URL:		http://www.pangalactic.org/PyPAM/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	pam-devel
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM (Pluggable Authentication Module) bindings for Python.

%description -l pl.UTF-8
Wiązania PAM dla pythona.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
sed -i -e 's#python1.5/Python.h#python%{py_ver}/Python.h#g' PAMmodule.c

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/PAMmodule.so
%{py_sitedir}/PyPAM-%{version}-*.egg-info
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyPAM.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 56cf655
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c7d9811
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 779842f
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 75b7ac7
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a6c2afe
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3b774cd
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7adda54
- release 2

* Mon Jan 04 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> b16e2bf
- added two patches (fixing segfault with incorrect deallocation and
  dropped pam-devel requirement)

* Mon Jan 04 2010 Łukasz Krotowski <lkrotowski@pld-linux.org> 52d15d5
- initial version

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 57786b5
- up to 0.5.0
- pythonize %build and %install
- %files

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d9a59e
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3d8c30e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ab07be4
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 84f5d14
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Dec 26 2004 saq <saq@pld-linux.org> d485f11
- release 2 for rebuild with python 2.4

* Wed Dec 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 85f04c4
- use py_ver macro instead of hardcoded 2.3

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> af42308
- spec is for python 2.3 ATM...

* Fri Dec 17 2004 darekr <darekr@pld-linux.org> 21ba26c
- BR sed 4.0

* Fri Dec 17 2004 undefine <undefine@pld-linux.org> 456a4f0
- initial version

